Subject: Re: [PWE3] MPLS PID

From: Curtis Villamizar <[email-masked]>
Date: Wed, 26 Mar 2003 15:09:28 -0500

In message <[email-masked].
ca>, Shahram Davari writes:
> This message is in MIME format. Since your mail reader does not understand
> this format, some or all of this message may not be legible.
> 
> ------_=_NextPart_001_01C2F3CB.763A5440
> Content-Type: text/plain;
> 	charset="iso-8859-1"
> 
> I also agree with Dave/Andy/Ron/Alia. If PID is needed, do it properly by def
> ining a standard protocol Mux header such as LLC/SNAP. Those interested in id
> entifying the protocol in the interior routers would then require to carry th
> is header in all packets.
>  
> -Shahram

LLC/SNAP is overkill.  Something along the lines of the 4 byte L3PID
would probably be better.  It might be worth adding a value in L3PID
or the GMPLS GPID to indicate that the LSP payload has the PID in the
top 4 bytes and use the same set of values rather than inventing new
number spaces for new PIDs (whether PID is payload ID or packet ID).

Curtis